Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.asf
Class StdServerSessionPool

    java.lang.Object
      org.jboss.jms.asf.StdServerSessionPool

All Implemented Interfaces:
  javax.jms.ServerSessionPool

public class StdServerSessionPool
extends Object
implements javax.jms.ServerSessionPool

Implementation of ServerSessionPool.

Created: Thu Dec 7 17:02:03 2000

Version:
  $Revision: 1.25.4.1 $
Author:
  Peter Antman ., Hiram Chirino .

Constructor Summary
`StdServerSessionPool(javax.jms.Connection con, boolean transacted, int ack, boolean useLocalTX, javax.jms.MessageListener listener, int minSession, int maxSession, long keepAlive, org.jboss.tm.XidFactoryMBean xidFactory)` Construct a `StdServerSessionPool` using the default pool size.

Method Summary
`void` | `clear()` Clear the pool, clear out both threads and ServerSessions, connection.stop() should be run before this method.
`javax.jms.ServerSession` | `getServerSession()` Get a server session.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StdServerSessionPool

    public StdServerSessionPool(javax.jms.Connection con,
                                boolean transacted,
                                int ack,
                                boolean useLocalTX,
                                javax.jms.MessageListener listener,
                                int minSession,
                                int maxSession,
                                long keepAlive,
                                org.jboss.tm.XidFactoryMBean xidFactory)
                         throws javax.jms.JMSException

  Construct a `StdServerSessionPool` using the default pool size.

Parameters:
  `con` - connection to get sessions from
  `transacted` - transaction mode when not XA (
  `ack` - ackmode when not XA
  `listener` - the listener the sessions will call
  `minSession` - minumum number of sessions in the pool
  `maxSession` - maximum number of sessions in the pool
  `keepAlive` - the time to keep sessions alive
  `xidFactory` - Description of Parameter
Throws:
  `javax.jms.JMSException` - Description of Exception

Method Detail

### getServerSession

    public javax.jms.ServerSession getServerSession()
                                             throws javax.jms.JMSException

  Get a server session.

  Specified by:
    `getServerSession` in interface `javax.jms.ServerSessionPool`
  Returns:
    A server session.
  Throws:
    `javax.jms.JMSException` - Failed to get a server session.

### clear

    public void clear()

  Clear the pool, clear out both threads and ServerSessions, connection.stop() should be run before this method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.